<?php

namespace App\modele;

class MembreModele extends UtilisateurModele
{


    /**
     * @description modifier photo de profil
     */
    public function updateProfilPhoto() : bool
    {
        // TO DO
        return false;
    }

    /**
     * @description ajouter formation
     */
    public function addFormation() : bool
    {
        // TO DO
        return false;
    }


    /**
     * @description modifier formation
     */
    public function updateFormation() : bool
    {
        // TO DO
        return false;
    }

    /**
     * @description ajouter Experience
     */
    public function addExperience() : bool
    {
        // TO DO
        return false;
    }

    /**
     * @description modifier experience
     */
    public function updateExpereience() : bool
    {
        // TO DO
        return false;
    }

    /**
     * @description changer mot de passe
     * @param string $oldHash ancien hash
     * @param string $newHash nouveau hash
     */
    public function updatePasswd(string $oldHash,string $newHash) : bool
    {
        // TO DO
        return false;
    }



}